Zoneminder RPM & SRPMS for Red Hat & CentOS 6

If you've made a patch to quick fix a bug or to add a new feature not yet in the main tree then post it here so others can try it out.
swiftflic
Posts: 9
Joined: Fri Dec 27, 2013 4:51 pm

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by swiftflic » Thu Jul 10, 2014 7:25 pm

However, looking at the big picture, you've managed to get your system into an unknown state.
This could easily turn into a game of whack-a-mole where you solve one problem only for another to pop-up.
The best thing to do would be to get your system back to a default, clean state and then start over.
Already did this twice. Removed all repository changes, remove DB and all traces of zoneminder and started to reïnstall without success.

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Thu Jul 10, 2014 8:13 pm

swiftflic wrote:...this system is really starting to piss me off. Every version update I spend 2 weeks to solve all the issues. It is still not running correctly over here and now I even lost my 'log' butten in the web interface.
A missing log button can mean that you have an old version of zoneminder coexisting on your system. Have you ever installed any version of zoneminder by compiling from source over the life of your system? If so, did you execute a "make uninstall" to get rid of the old files before upgrading? This could easily cause the kind of probems you are describing.
swiftflic wrote: Already did this twice. Removed all repository changes, remove DB and all traces of zoneminder and started to reïnstall without success.
You might think you have, but the fact that you are still having problems speaks otherwise. Something is out of whack. You could have old files lying around, you could still have repo-related issues caused by the initial mistake, or it could be something else. I unfortinately, cannot tell you what it is based on the information you have given, and saying "I'm pissed off" isn't particualty helpful at solving the problem.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

swiftflic
Posts: 9
Joined: Fri Dec 27, 2013 4:51 pm

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by swiftflic » Mon Jul 14, 2014 11:09 pm

I did do a make uninstall the first try (or was it the second?)?

Anyway, it seems to be running now. The line

Code: Select all

tmpfs                   /dev/shm                tmpfs   defaults        0 0
was commented out in my fstab ánd I changed the webserver user to default and pointed my zoneminder user to that user.

I think the shm part fixed my troubles...

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Tue Jul 15, 2014 12:11 pm

swiftflic wrote:I did do a make uninstall the first try (or was it the second?)?

Anyway, it seems to be running now. The line

Code: Select all

tmpfs                   /dev/shm                tmpfs   defaults        0 0
was commented out in my fstab ánd I changed the webserver user to default and pointed my zoneminder user to that user.

I think the shm part fixed my troubles...
Yeah, previsouly I was just guessing what the problem might be. I'm glad you found the problem and got it working. Guess you had previsouly disabled the ramdisk??? That should be enabled on just about any linux distro these days. Anyway, /dev/shm is necessary for mmap to work.... it's also a ton faster.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

sipi
Posts: 129
Joined: Wed Feb 14, 2007 5:18 pm

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by sipi » Sat Aug 23, 2014 8:10 pm

Download links doesn't work for zm and perl files. How can I download these files? Thanks.

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Sat Aug 23, 2014 9:06 pm

sipi wrote:Download links doesn't work for zm and perl files. How can I download these files? Thanks.
Does your ip originate outside the US?
I've got my firewall set to block many kinds of traffic.
I can make an exception if you tell me where your ip originates from.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

sipi
Posts: 129
Joined: Wed Feb 14, 2007 5:18 pm

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by sipi » Sat Aug 23, 2014 9:36 pm

Does your ip originate outside the US?
Ohh, I understand it. Yes, I'm from Hungary, Europe. My IP is in dynamic pool for my ISP but it starts 86.59.x.x.

I have problem with 1.27 on my suse and I'ld like to try it on centos that I can decide what is the problem zm 1.27. Thanks.

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Sat Aug 23, 2014 9:58 pm

Yep, I see your attempts in my log. Try it now.

Someday I hope for someone to donate server space so I no longer have to host these from my home.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Sun Aug 24, 2014 1:24 pm

UPDATE:
I moved all the download links over to Dropbox. Maybe that will work better.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

sipi
Posts: 129
Joined: Wed Feb 14, 2007 5:18 pm

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by sipi » Sun Aug 24, 2014 2:31 pm

Hi, thanks for your help. I could install these files but I have some problem with zm 1.27 install. There is I have a lot of dependency what I can't solve but I tried --skip-broken switch:

[root@centos-box ~]# yum localinstall --skip-broken '/home/isipos/Letöltések/zoneminder-1.27.0-1.el6.x86_64.rpm'
Loaded plugins: fastestmirror, priorities, refresh-packagekit, security
Setting up Local Package Process
Loading mirror speeds from cached hostfile
* base: mirror.met.hu
* epel: ftp.upjs.sk
* extras: mirror.met.hu
* linuxtech-release: linuxsoft.cern.ch
* rpmforge: merlin.fit.vutbr.cz
* rpmfusion-free-updates: ftp.upjs.sk
* updates: mirror.met.hu
1849 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package zoneminder.x86_64 0:1.27.0-1.el6 will be installed
--> Processing Dependency: mysql-server for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(Archive::Zip) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(DBD::mysql) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(Date::Manip) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(MIME::Entity) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(MIME::Lite) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: php for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: php-mysql for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: vlc-core for package: zoneminder-1.27.0-1.el6.x86_64
--> Running transaction check
---> Package mysql-server.x86_64 0:5.1.73-3.el6_5 will be installed
---> Package perl-Archive-Zip.noarch 0:1.30-2.el6 will be installed
---> Package perl-DBD-MySQL.x86_64 0:4.013-3.el6 will be installed
---> Package perl-Date-Manip.noarch 0:6.24-1.el6 will be installed
--> Processing Dependency: perl(YAML::Syck) for package: perl-Date-Manip-6.24-1.el6.noarch
---> Package perl-MIME-Lite.noarch 0:3.027-2.el6 will be installed
--> Processing Dependency: perl(MIME::Types) >= 1.28 for package: perl-MIME-Lite-3.027-2.el6.noarch
--> Processing Dependency: perl(Mail::Address) for package: perl-MIME-Lite-3.027-2.el6.noarch
--> Processing Dependency: perl(Email::Date::Format) for package: perl-MIME-Lite-3.027-2.el6.noarch
---> Package perl-MIME-tools.noarch 0:5.427-4.el6 will be installed
--> Processing Dependency: perl(IO::ScalarArray) >= 1.114 for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(IO::ScalarArray) for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(IO::Lines) for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(IO::InnerFile) for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(Convert::BinHex) for package: perl-MIME-tools-5.427-4.el6.noarch
---> Package php.x86_64 0:5.3.3-27.el6_5.1 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.3-27.el6_5.1 for package: php-5.3.3-27.el6_5.1.x86_64
--> Processing Dependency: php-cli(x86-64) = 5.3.3-27.el6_5.1 for package: php-5.3.3-27.el6_5.1.x86_64
---> Package php-mysql.x86_64 0:5.3.3-27.el6_5.1 will be installed
--> Processing Dependency: php-pdo(x86-64) for package: php-mysql-5.3.3-27.el6_5.1.x86_64
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: liblirc_client.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libopus.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libtiger.so.5()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libgme.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Running transaction check
---> Package game-music-emu.x86_64 0:0.5.5-1.el6 will be installed
---> Package libtiger.x86_64 0:0.3.4-1.el6 will be installed
---> Package lirc-libs.x86_64 0:0.9.0-8.el6 will be installed
---> Package minizip.x86_64 0:1.2.3-29.el6 will be installed
---> Package opus.x86_64 0:1.1-1.el6 will be installed
---> Package perl-Convert-BinHex.noarch 0:1.119-10.1.el6 will be installed
---> Package perl-Email-Date-Format.noarch 0:1.002-5.el6 will be installed
---> Package perl-IO-stringy.noarch 0:2.110-10.1.el6 will be installed
---> Package perl-MIME-Types.noarch 0:1.28-2.el6 will be installed
---> Package perl-MailTools.noarch 0:2.04-4.el6 will be installed
--> Processing Dependency: perl(Date::Parse) for package: perl-MailTools-2.04-4.el6.noarch
--> Processing Dependency: perl(Date::Format) for package: perl-MailTools-2.04-4.el6.noarch
---> Package perl-YAML-Syck.x86_64 0:1.07-4.el6 will be installed
---> Package php-cli.x86_64 0:5.3.3-27.el6_5.1 will be installed
---> Package php-common.x86_64 0:5.3.3-27.el6_5.1 will be installed
---> Package php-pdo.x86_64 0:5.3.3-27.el6_5.1 will be installed
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Running transaction check
---> Package perl-TimeDate.noarch 1:1.16-11.1.el6 will be installed
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64

Packages skipped because of dependency problems:
game-music-emu-0.5.5-1.el6.x86_64 from epel
libtiger-0.3.4-1.el6.x86_64 from epel
lirc-libs-0.9.0-8.el6.x86_64 from epel
minizip-1.2.3-29.el6.x86_64 from base
mysql-server-5.1.73-3.el6_5.x86_64 from updates
opus-1.1-1.el6.x86_64 from epel
perl-Archive-Zip-1.30-2.el6.noarch from base
perl-Convert-BinHex-1.119-10.1.el6.noarch from base
perl-DBD-MySQL-4.013-3.el6.x86_64 from base
perl-Date-Manip-6.24-1.el6.noarch from base
perl-Email-Date-Format-1.002-5.el6.noarch from base
perl-IO-stringy-2.110-10.1.el6.noarch from base
perl-MIME-Lite-3.027-2.el6.noarch from base
perl-MIME-Types-1.28-2.el6.noarch from base
perl-MIME-tools-5.427-4.el6.noarch from base
perl-MailTools-2.04-4.el6.noarch from base
1:perl-TimeDate-1.16-11.1.el6.noarch from base
perl-YAML-Syck-1.07-4.el6.x86_64 from base
php-5.3.3-27.el6_5.1.x86_64 from updates
php-cli-5.3.3-27.el6_5.1.x86_64 from updates
php-common-5.3.3-27.el6_5.1.x86_64 from updates
php-mysql-5.3.3-27.el6_5.1.x86_64 from updates
php-pdo-5.3.3-27.el6_5.1.x86_64 from updates
vlc-core-2.0.10-1.el6.x86_64 from rpmfusion-free-updates
zoneminder-1.27.0-1.el6.x86_64 from /zoneminder-1.27.0-1.el6.x86_64

Finally, zm installed but I think it won't work me... Can I fix it and how? Thanks.

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Sun Aug 24, 2014 3:35 pm

sipi wrote:Hi, thanks for your help. I could install these files but I have some problem with zm 1.27 install. There is I have a lot of dependency what I can't solve but I tried --skip-broken switch:

[root@centos-box ~]# yum localinstall --skip-broken '/home/isipos/Letöltések/zoneminder-1.27.0-1.el6.x86_64.rpm'
Loaded plugins: fastestmirror, priorities, refresh-packagekit, security
Setting up Local Package Process
Loading mirror speeds from cached hostfile
* base: mirror.met.hu
* epel: ftp.upjs.sk
* extras: mirror.met.hu
* linuxtech-release: linuxsoft.cern.ch
* rpmforge: merlin.fit.vutbr.cz
* rpmfusion-free-updates: ftp.upjs.sk
* updates: mirror.met.hu
1849 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package zoneminder.x86_64 0:1.27.0-1.el6 will be installed
--> Processing Dependency: mysql-server for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(Archive::Zip) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(DBD::mysql) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(Date::Manip) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(MIME::Entity) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: perl(MIME::Lite) for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: php for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: php-mysql for package: zoneminder-1.27.0-1.el6.x86_64
--> Processing Dependency: vlc-core for package: zoneminder-1.27.0-1.el6.x86_64
--> Running transaction check
---> Package mysql-server.x86_64 0:5.1.73-3.el6_5 will be installed
---> Package perl-Archive-Zip.noarch 0:1.30-2.el6 will be installed
---> Package perl-DBD-MySQL.x86_64 0:4.013-3.el6 will be installed
---> Package perl-Date-Manip.noarch 0:6.24-1.el6 will be installed
--> Processing Dependency: perl(YAML::Syck) for package: perl-Date-Manip-6.24-1.el6.noarch
---> Package perl-MIME-Lite.noarch 0:3.027-2.el6 will be installed
--> Processing Dependency: perl(MIME::Types) >= 1.28 for package: perl-MIME-Lite-3.027-2.el6.noarch
--> Processing Dependency: perl(Mail::Address) for package: perl-MIME-Lite-3.027-2.el6.noarch
--> Processing Dependency: perl(Email::Date::Format) for package: perl-MIME-Lite-3.027-2.el6.noarch
---> Package perl-MIME-tools.noarch 0:5.427-4.el6 will be installed
--> Processing Dependency: perl(IO::ScalarArray) >= 1.114 for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(IO::ScalarArray) for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(IO::Lines) for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(IO::InnerFile) for package: perl-MIME-tools-5.427-4.el6.noarch
--> Processing Dependency: perl(Convert::BinHex) for package: perl-MIME-tools-5.427-4.el6.noarch
---> Package php.x86_64 0:5.3.3-27.el6_5.1 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.3-27.el6_5.1 for package: php-5.3.3-27.el6_5.1.x86_64
--> Processing Dependency: php-cli(x86-64) = 5.3.3-27.el6_5.1 for package: php-5.3.3-27.el6_5.1.x86_64
---> Package php-mysql.x86_64 0:5.3.3-27.el6_5.1 will be installed
--> Processing Dependency: php-pdo(x86-64) for package: php-mysql-5.3.3-27.el6_5.1.x86_64
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: liblirc_client.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libopus.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libtiger.so.5()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libgme.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Running transaction check
---> Package game-music-emu.x86_64 0:0.5.5-1.el6 will be installed
---> Package libtiger.x86_64 0:0.3.4-1.el6 will be installed
---> Package lirc-libs.x86_64 0:0.9.0-8.el6 will be installed
---> Package minizip.x86_64 0:1.2.3-29.el6 will be installed
---> Package opus.x86_64 0:1.1-1.el6 will be installed
---> Package perl-Convert-BinHex.noarch 0:1.119-10.1.el6 will be installed
---> Package perl-Email-Date-Format.noarch 0:1.002-5.el6 will be installed
---> Package perl-IO-stringy.noarch 0:2.110-10.1.el6 will be installed
---> Package perl-MIME-Types.noarch 0:1.28-2.el6 will be installed
---> Package perl-MailTools.noarch 0:2.04-4.el6 will be installed
--> Processing Dependency: perl(Date::Parse) for package: perl-MailTools-2.04-4.el6.noarch
--> Processing Dependency: perl(Date::Format) for package: perl-MailTools-2.04-4.el6.noarch
---> Package perl-YAML-Syck.x86_64 0:1.07-4.el6 will be installed
---> Package php-cli.x86_64 0:5.3.3-27.el6_5.1 will be installed
---> Package php-common.x86_64 0:5.3.3-27.el6_5.1 will be installed
---> Package php-pdo.x86_64 0:5.3.3-27.el6_5.1 will be installed
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Running transaction check
---> Package perl-TimeDate.noarch 1:1.16-11.1.el6 will be installed
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64

Packages skipped because of dependency problems:
game-music-emu-0.5.5-1.el6.x86_64 from epel
libtiger-0.3.4-1.el6.x86_64 from epel
lirc-libs-0.9.0-8.el6.x86_64 from epel
minizip-1.2.3-29.el6.x86_64 from base
mysql-server-5.1.73-3.el6_5.x86_64 from updates
opus-1.1-1.el6.x86_64 from epel
perl-Archive-Zip-1.30-2.el6.noarch from base
perl-Convert-BinHex-1.119-10.1.el6.noarch from base
perl-DBD-MySQL-4.013-3.el6.x86_64 from base
perl-Date-Manip-6.24-1.el6.noarch from base
perl-Email-Date-Format-1.002-5.el6.noarch from base
perl-IO-stringy-2.110-10.1.el6.noarch from base
perl-MIME-Lite-3.027-2.el6.noarch from base
perl-MIME-Types-1.28-2.el6.noarch from base
perl-MIME-tools-5.427-4.el6.noarch from base
perl-MailTools-2.04-4.el6.noarch from base
1:perl-TimeDate-1.16-11.1.el6.noarch from base
perl-YAML-Syck-1.07-4.el6.x86_64 from base
php-5.3.3-27.el6_5.1.x86_64 from updates
php-cli-5.3.3-27.el6_5.1.x86_64 from updates
php-common-5.3.3-27.el6_5.1.x86_64 from updates
php-mysql-5.3.3-27.el6_5.1.x86_64 from updates
php-pdo-5.3.3-27.el6_5.1.x86_64 from updates
vlc-core-2.0.10-1.el6.x86_64 from rpmfusion-free-updates
zoneminder-1.27.0-1.el6.x86_64 from /zoneminder-1.27.0-1.el6.x86_64

Finally, zm installed but I think it won't work me... Can I fix it and how? Thanks.
You can fix it by reading and following the instructions.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

sipi
Posts: 129
Joined: Wed Feb 14, 2007 5:18 pm

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by sipi » Sun Aug 24, 2014 4:35 pm

You can fix it by reading and following the instructions.
Thanks but I followed the instructions...

I think everything was fine but when I would like to install zoneminder-1.27.0-1.el6.x86_64.rpm I had an error message because some dependencies were missed:

--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64

I used --skip-broken switch and yum installed zoneminder but wrote that there are some missed dependencies.

I added Prerequisites (repo and packages) and modified priority of repositories and updated installed packages. Then I tried zoneminder but I have problems. I don't know what was the trouble.

I can't download VCentOS 6.4 (what you recommend), I can only download CentOS 6.5 x86_64 and I can't find any repo for these files...

I have an problem my installed zm on my opensuse, you can read it in the forum, because EyeZM can't work my zm 1.27 correctly. I'ld like to try it can work on Centos and my problem is a specified opensuse+mpeg+zm problem or there is an other problem. But I think it will be easy if I can ask somebody who use zm 1.27 and EyeZM with Axis 240Q video server "How works it you?". But I don't know nobody who use these and nobody didn't answare on the forum when I asked members of forum. I hope you can agree ...

Can you give some detailed advice for me? Thanks.

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Sun Aug 24, 2014 5:26 pm

Don't use skip broken; you'll make things worse.

You've got a repository problem. Specifically, the packages the system is looking for are in the rpmfusion repo.

I can see them here: http://download1.rpmfusion.org/free/el/ ... /6/x86_64/

As to why your system can't, I can't say for sure.
Are you sure you have all three repositories added?
Are you sure you have your yum priorities correct?
Did you exclude any packages??

Recommend you uninstall everything and get back to a clean state. Then try and yum install vlc-core (only) to try and figure out where the problem is. Don't continue until this step is resolved.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

sipi
Posts: 129
Joined: Wed Feb 14, 2007 5:18 pm

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by sipi » Sun Aug 24, 2014 7:34 pm

I need to give up...

I checked all repo and priority and everything is fine. I checked dependencies in all repo and I can't find they. I find libdvbpsi.so,7 but it is everything...

In this situation I can't install zonminder 1.27 on CentOS 6.4.

I am terribly disappointed... Thanks for your help. I think I will never know that why doesn't work EyeZM with zm 1.27...

User avatar
knight-of-ni
Posts: 2268
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Zoneminder RPM & SRPMS for Red Hat & CentOS 6

Post by knight-of-ni » Sun Aug 24, 2014 8:41 pm

There are two possibilities I can think of at the moment that can cause this:

1) You have the priorities of rpmforge & rpmfusion in the wrong order.
These two repos conflict, and unless you've got rpmfusion with a higher priority (i.e. lower number) than rpmforge, then centos will be looking at rpmforge for those dependencies. It will find them, but they won't be the right versions and hence won't install.

2) you have downloaded a vlc package manually from some other place than rpmfusion
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

Post Reply

Who is online

Users browsing this forum: No registered users and 5 guests